﻿//////////////////////////////////////////////
// PostProcessingLib.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT PostProcessingLib final
	{
		public :

			// Sources
			static nkMemory::StringView nkPostProcessDefaultVertex () ;

		private :

			// Constructor, destructor
			PostProcessingLib () noexcept = delete ;
			~PostProcessingLib () = delete ;
	} ;
}