﻿//////////////////////////////////////////////
// JsonExporterWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::nkExportWrap
{
	class DLL_ASTRAEUS_EXPORT JsonExporterWrapper final
	{
		private :

			JsonExporterWrapper () = delete ;
			~JsonExporterWrapper () = delete ;

		public :

			// Mise en place environnement
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks qui seront appelés suivant les fonctions
			static nkScripts::OutputValue exportTreeIntoString (const nkScripts::DataStack& stack) ;
			static nkScripts::OutputValue importIntoTree (const nkScripts::DataStack& stack) ;
	} ;
}