﻿//////////////////////////////////////////////
// ProgramWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkAstraeus::nkGraphicsWrap
{
	class DLL_ASTRAEUS_EXPORT ProgramWrapper final
	{
		private :

			// Constructeur, destructeur
			ProgramWrapper () = delete ;
			~ProgramWrapper () = delete ;

		public :

			static void updateEnvironment (nkScripts::Environment* env) ;
	} ;
}