﻿//////////////////////////////////////////////
// ViewportWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::nkGraphicsWrap
{
	class DLL_ASTRAEUS_EXPORT ViewportWrapper final
	{
		private :

			// Constructeur, destructeur
			ViewportWrapper () = delete ;
			~ViewportWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			// Getters
			static nkScripts::OutputValue getHeight (const nkScripts::DataStack& stack) ;
	} ;
}