﻿//////////////////////////////////////////////
// Base64Encoder.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include "../../Dll/DllDefines.h"

#include <NilkinsMemory/Containers/Buffer.h>
#include <NilkinsMemory/Containers/BufferView.h>

/// Class ------------------------------------

namespace nkExport
{
	class DLL_EXPORT_EXPORT Base64Encoder final
	{
		public :

			// Encoding
			static nkMemory::Buffer encode (nkMemory::BufferView<unsigned char> data) ;

			// Decoding
			static nkMemory::Buffer decode (nkMemory::BufferView<unsigned char> data) ;

		private :

			// Constructor, destructor
			Base64Encoder () = delete ;
			~Base64Encoder () = delete ;
	} ;
}