﻿//////////////////////////////////////////////
// Logger.h
//
//////////////////////////////////////////////

/// Defines, macros --------------------------

#pragma once

/// Includes ---------------------------------

// nkLog
#include "../Data/StringView.h"

#include "../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkLog
{
	class DLL_LOG_EXPORT Logger
	{
		public :

			// Constructor, destructor
			Logger () noexcept ;
			virtual ~Logger () ;

			// Action
			virtual void log (StringView message, StringView className) = 0 ;
	} ;
}