﻿//////////////////////////////////////////////
// EnvironmentInitializer.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkAstraeus
{
	class LogManager ;
}

namespace nkScripts
{
	class Environment ;
}

/// Class ------------------------------------

namespace nkAstraeus::nkAstraeusWrap
{
	class EnvironmentInitializer final
	{
		private :

			// Constructeur, destructeur
			EnvironmentInitializer () = delete ;
			~EnvironmentInitializer () = delete ;

		public :

			// Init env lua
			static void initDeclaredTypes (nkScripts::Environment* env) ;
			static void updateEnvironment (nkScripts::Environment* env, LogManager* targetLogManager) ;
	} ;
}