﻿//////////////////////////////////////////////
// ResourceLoadStateWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Class ------------------------------------

namespace nkAstraeus::nkGraphicsWrap
{
	class ResourceLoadStateWrapper final
	{
		private :

			// Constructeur, destructeur
			ResourceLoadStateWrapper () = delete ;
			~ResourceLoadStateWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;
	} ;
}