﻿//////////////////////////////////////////////
// ImageWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::nkImagesWrap
{
	class DLL_ASTRAEUS_EXPORT ImageWrapper final
	{
		private :

			// Constructor, destructor
			ImageWrapper () = delete ;
			~ImageWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			// Getters
			static nkScripts::OutputValue getWidth (const nkScripts::DataStack& stack) ;
			static nkScripts::OutputValue getHeight (const nkScripts::DataStack& stack) ;
	} ;
}