﻿//////////////////////////////////////////////
// Bc2Compressor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkImages
{
	class Image ;
	class ImageBase ;
}

/// Includes ---------------------------------

// nkImages
#include "../AlignmentDescriptor.h"

/// Class ------------------------------------

namespace nkImages
{
	class Bc2Compressor final
	{
		public :

			// Decompression
			static void decompressBlock (unsigned char* outData, unsigned char* block, unsigned int pixelByteSize, unsigned int rowByteSize) ;
			static Image decompressImage (const ImageBase& image, const AlignmentDescriptor& alignmentDescriptor = AlignmentDescriptor()) ;

		private :

			// Constructor, destructor
			Bc2Compressor () = delete ;
			~Bc2Compressor () = delete ;
	} ;
}